Subject: Re: bug#23386: Segfault when messing with font-backend

From: [email-masked]
Date: Sun, 10 Jul 2016 16:17:00 -0400

Dmitry Antipov <[email-masked]> writes:

> On 07/09/2016 10:11 PM, [email-masked] wrote:
>
>> Here is a patch that attempts to fix the issue by resetting the font
>> after the backend is changed.  It does let Emacs successfully open the
>> frame with the new font (no funny box characters in the modeline), but
>> I'm not sure if it's the best way of marking the font object invalid.
>
> IMHO the original trick (request to drop font backend when there is a font
> opened by using this backend) is practically meaningless, so why just not
> prohibit it explicitly? For example, with:

Maybe that is a better idea; it does prevent the segfault, and it's
certainly simpler.